CentOS 7升级Python到3.5使用yum异常

/ bug / 无站内评论 / 245浏览

原因

服务器原先自带的pyhton版本是2.7,后面升级到3.5之后。使用yum命令报错异常。


如图


解决方案

1.文件第一行

vim /usr/libexec/urlgrabber-ext-down

将/usr/bin/python改为/usr/bin/python2.7。

2.文件第一行

vim /usr/bin/yum-config-manager

解决办法同上: #!/usr/bin/python换成 #!/usr/bin/python2.7

召唤蕾姆
琼ICP备18000156号

鄂公网安备 42011502000211号